package com.tutego.insel.inner;

public class Lamp
{
  static String s = "Huhu";
  int i = 1;

  static class Bulb
  {
    void out()
    {
      System.out.println( s );
//      System.out.println( i );          // Fehler
    }
  }

  public static void main( String[] args )
  {
    Bulb bulp = new Lamp.Bulb();  // oder Lamp.Bulb bulp = ...
    bulp.out();
  }
}

